<div id="advancementFormModal" class="modal fade" ng-controller="advancementFormController as self" ng-init="self.init('<?= $this->from ?>', <?= $this->object ? $this->object->getId() : 'null' ?>)">
    <div class="modal-dialog">
        <div class="modal-content">
            <form name="advancementForm" ng-submit="self.saveAdvancement();">
                <div class="modal-header">
                    {{self.panelTitle}}
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="form-group required col-xs-12">
                            <label><?= $this->translate('advancement_field_type') ?></label>
                            <select class="form-control" required
                                    ng-model="self.advancement.type" ng-disabled="!self.advancement._rights.update">
                                <?php
                                foreach (\Advancement\Entity\Advancement::getTypes() as $type) {
                                    echo '<option value="' . $type . '">' . $this->translate('advancement_type_' . $type) . '</option>';
                                }
                                ?>
                            </select>
                            <field-errors field="type" errors="self.errors.fields"></field-errors>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group required col-xs-12">
                            <label><?= $this->translate('advancement_field_date') ?></label>
                            <input type="text" name="date" class="form-control" required autocomplete="off"
                                   input-date input-date-mask="date"
                                   ng-model="self.advancement.date" ng-readonly="!self.advancement._rights.update" />
                            <field-errors field="date" errors="self.errors.fields"></field-errors>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group required col-xs-12">
                            <label><?= $this->translate('advancement_field_value') ?></label>
                            <div class="input-group">
                                <input type="text" input-mask="decimal" required class="form-control"
                                       ng-model="self.advancement.value"
                                       ng-readonly="!self.advancement._rights.update" />
                                <div class="input-group-addon">
                                    %
                                </div>
                            </div>
                            <field-errors field="value" errors="self.errors.fields"></field-errors>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-xs-12">
                            <label><?= $this->translate('advancement_field_name') ?></label>
                            <input type="text" class="form-control"
                                   ng-model="self.advancement.name"
                                   ng-readonly="!self.advancement._rights.update" />
                            <field-errors field="name" errors="self.errors.fields"></field-errors>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-xs-12">
                            <label><?= $this->translate('advancement_field_description') ?></label>
                            <textarea class="form-control"
                                      ng-model="self.advancement.description"
                                      ng-readonly="!self.advancement._rights.update"></textarea>
                            <field-errors field="description" errors="self.errors.fields"></field-errors>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-default" type="button" data-dismiss="modal">
                        <?= $this->translate('close') ?>
                    </button>
                    <button class="btn btn-submit" ng-disabled="self.loading.save" ng-if="self.advancement._rights.update">
                        <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                        <?= $this->translate('save') ?>
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
